package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for adding the fast start flag (immediate playback)
 */
public class FastStartModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-movflags", "+faststart");
    }

}
