package net.knarcraft.ffmpegconverter.converter.module.output;

import net.knarcraft.ffmpegconverter.container.FFMpegCommand;
import net.knarcraft.ffmpegconverter.converter.module.ConverterModule;
import org.jetbrains.annotations.NotNull;

/**
 * A module for setting subtitle codec to mov_text (necessary for embedding in .mp4 files)
 */
public class MovTextModule implements ConverterModule {

    @Override
    public void addArguments(@NotNull FFMpegCommand command) {
        command.addOutputFileOption("-c:s", "mov_text");
    }

}
