package net.knarcraft.ffmpegconverter.container;

import org.jetbrains.annotations.NotNull;

/**
 * The result of running a process
 *
 * @param exitCode <p>The exit code the process exited with</p>
 * @param output   <p>The output the process produced</p>
 */
public record ProcessResult(int exitCode, @NotNull String output) {
}
